Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
gc_profile_record Struct Reference

## Data Fields
int | flags
double | gc_time
double | gc_invoke_time
size_t | heap_total_objects
size_t | heap_use_size
size_t | heap_total_size

## Detailed Description

Definition at line 285 of file gc.c.

## Field Documentation

int gc_profile_record::flags

Definition at line 286 of file gc.c.

Referenced by gc_prof_setup_new_record(), gc_prof_sweep_timer_stop(), gc_profile_dump_on(), and gc_profile_record_get().

double gc_profile_record::gc_invoke_time

Definition at line 289 of file gc.c.

Referenced by gc_prof_timer_start(), gc_prof_timer_stop(), gc_profile_dump_on(), and gc_profile_record_get().

double gc_profile_record::gc_time

Definition at line 288 of file gc.c.

Referenced by gc_prof_sweep_timer_start(), gc_prof_sweep_timer_stop(), gc_prof_timer_start(), gc_prof_timer_stop(), gc_profile_dump_on(), gc_profile_record_get(), and gc_profile_total_time().

size_t gc_profile_record::heap_total_objects

Definition at line 291 of file gc.c.

Referenced by gc_prof_set_heap_info(), gc_profile_dump_on(), and gc_profile_record_get().

size_t gc_profile_record::heap_total_size

Definition at line 293 of file gc.c.

Referenced by gc_prof_set_heap_info(), gc_profile_dump_on(), and gc_profile_record_get().

size_t gc_profile_record::heap_use_size

Definition at line 292 of file gc.c.

Referenced by gc_prof_set_heap_info(), gc_profile_dump_on(), and gc_profile_record_get().

The documentation for this struct was generated from the following file:

- gc.c